#### D.8.10.7 factorMain

Procedure from library `zeroset.lib` (see zeroset_lib).

Usage:
  factorMain(f); where f is a polynomial

Purpose:
  compute the factorization of the squarefree polynomial f over Q(a)[t], minpoly = p(a).

Return:
  list with 2 entries

        _[1] = factors, first is a constant
        _[2] = multiplicities (not yet implemented)

Assume:
  basering = Q[x,a], representing Q(a)[x]. An ideal mpoly must be defined, representing the minimal polynomial (it might be 0!).

Note:
  outdated, use factorize instead

User manual for Singular version 4.4.1, 2025, generated by texi2html.